/* $Id: amiga.h,v 3.3 1994/05/12 10:06:22 ppessi Exp $
 *
 * amiga.h --- Amiga specific thingies to niftyterm
 *
 * Copyright 1991 Pekka Pessi
 * All Rights Reserved
 * Permission is granted to copy, modify, and use this as long
 * as this notice remains intact.  This is a nifty program.
 *
 * DISCLAIMER: the author (and maintainer) of this program is not responsible
 * for any damage or other problems caused by it.
 *
 */

#ifndef INCLUDED_AMIGA_H
#define INCLUDED_AMIGA_H

#include <exec/types.h>
#include <exec/memory.h>
#include <dos/dos.h>
#include <dos/dosextens.h>
#include <devices/timer.h>

#ifndef NAPSA_CONFIG_H
#include "config.h"
#endif

#if USE_RLOGIN
/* we are kludging around the devices/timer.h braindamage */
#include <sys/time.h>
#endif

/* Correct prototype for the CheckIO.
 * (The one in clib/exec_protos.h had wrong return value type: BOOL (16 bits) 
 * instead of a pointer (32 bits)!)
 */
struct IORequest * CheckIO(struct IORequest *req);

extern struct Library *TimerBase; /* funny type, but SAS got it like this... */

extern struct timerequest *timereq;
extern struct MsgPort *timeport;

#ifdef USE_PRAGMAS
#include <clib/exec_protos.h>
extern struct ExecBase *SysBase;
#include <pragmas/exec_sysbase_pragmas.h>

#include <proto/timer.h>

#include <proto/graphics.h>
#include <proto/dos.h>
#include <proto/utility.h>
#include <proto/icon.h>
#endif

#ifdef USE_INLINE
extern struct Library *TimerBase;
extern struct DosLIbrary *DOSBase;
extern struct GfxBase *GfxBase;
extern struct IntuitionBase *IntuitionBase;
extern struct DiskfontBase *DiskfontBase;
extern struct Library *IconBase;

#include <inline/exec.h>
#include <inline/timer.h>
#include <inline/graphics.h>
#include <inline/dos.h>
#include <inline/utility.h>
#include <inline/icon.h>
#endif

#ifdef USE_CLIB
extern struct Library *TimerBase;
extern struct DosLIbrary *DOSBase;
extern struct GfxBase *GfxBase;
extern struct IntuitionBase *IntuitionBase;
extern struct DiskfontBase *DiskfontBase;
extern struct Library *IconBase;

#include <clib/exec_protos.h>
#include <clib/timer_protos.h>
#include <clib/graphics_protos.h>
#include <clib/dos_protos.h>
#include <clib/utility_protos.h>
#include <clib/icon_protos.h>
#endif

/* #include <clib/alib_protos.h> */

#endif /* ndef INCLUDED_AMIGA_H */
